org.eclipse.team.core.diff

## Interface IDiffChangeListener

All Known Implementing Classes:
  AbstractSynchronizationContentProvider, SynchronizationContentProvider

    public interface IDiffChangeListener

Diff change listener that reports changes in an `IDiffTree`. Clients may implement this interface.

Since:
  3.2
See Also:
  `IDiffTree`

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `diffsChanged(IDiffChangeEvent event, IProgressMonitor monitor)` The diff contained in the originating tree has changed.
`void` `propertyChanged(IDiffTree tree, int property, IPath[] paths)` The given property has changed for the given paths.

### Method Detail

#### diffsChanged

    void diffsChanged(IDiffChangeEvent event,
                      IProgressMonitor monitor)

The diff contained in the originating tree has changed.

Parameters:
  `event` - the change event
  `monitor` - a progress monitor

#### propertyChanged

    void propertyChanged(IDiffTree tree,
                         int property,
                         IPath[] paths)

The given property has changed for the given paths.

Parameters:
  `tree` - the tree for which the property changed
  `property` - the property
  `paths` - the paths